V1 Update Attachment

Updates properties for a specified file attachment. Properties that can be updated include:

  • title - The name of the file attachment.
  • isActive - True indicates the file is actively associated with an eFolder document. False indicates it is not actively associated with an eFolder document. In Encompass, the Current Version checkbox on the Document Details window indicates whether the file is actively associated with an eFolder document or not.

❗️

Scheduled for Sunset

This API endpoint is scheduled for sunset in release 26.3. See Sunsetting V1 eFolder Attachment APIs for details regarding the alternative endpoint to use.

Usage Note

Note that the properties of the specific file attachment are updated. When an update is returned, the response code will be 200. If nothing is specified for viewId, then the response code is 204.

Path Params
string
required

The unique identifier assigned to the loan.

string
required

The unique identifier assigned to the attachment.

Query Params
string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params
string

The title of the attachment.

string

The attachment ID.

document
object

The document information as described in the EntityReferenceContract.

date-time

Date the attachment or page annotation was created. Example: 2017-01-07T01:57:23.107Z

string

UserID of the user who created the attachment or annotation.

string

User Name of the user who created the attachment.

boolean

Indicates if the attachment is removed.

int32

The create reason. Possible values:

  • 1 = Browse
  • 2 = Forms
  • 3 = Scan
  • 4 = Upload
  • 5 = Fax
  • 6 = Esign
  • 7 = Services
  • 10 = Printer
  • 11 = Import
int32

The attachment type. Possible values:

  • Native = 0
  • Image = 1
  • Background = 2

Note that Native (for example .pdf or .doc files) is the only attachmentType that can currently be created through the API.

int64

The size of the image file. Example: 0

boolean

True indicates it is the active attachment on the document. (Current Version is checked on the Document Details window in Encompass.)

False indicates it is not the active attachment on the document. (Current Version is unchecked on the Document Details window in Encompass.)

pages
array of objects

pageImage schema, which lists page images for an image attachment. For example, string.

pages
int32

The rotation of the image. Example: 0

string

The location or path where the callback is located.

string

The location or path where the media attachment is located.

Headers
string
required

Bearer token

Responses
200

OK

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…